package repository

import "code.freebrio.com/fb-go/lib/context"

type thirdAgentCorpRepository interface {
	QueryPage(ctx context.GormWithZap, page, size int) *[]FThirdAgentCorpRelationDO
	FindById(ctx context.GormWithZap, id uint64) *FThirdAgentCorpRelationDO
	Count(ctx context.GormWithZap) int64

	Create(ctx context.GormWithZap, data *FThirdAgentCorpRelationDO) error
	UpdateById(ctx context.GormWithZap, data FThirdAgentCorpRelationDO) error
	deleteById(ctx context.GormWithZap, id uint64, operator string) error
}

var ThirdAgentCorp thirdAgentCorpRepository = new(thirdAgentCorpRepositoryImpl)
