package remote_http

import (
	"ai-gateway/common/dto"
	"code.freebrio.com/fb-go/lib/context"
)

type aiApi interface {
	Completions(ctx context.GormWithZap, prompt, groupId string) (*dto.AiRes, error)
}

var AiApi aiApi = new(aiApiImpl)
