package repository

import "code.freebrio.com/fb-go/lib/context"

type thirdUserTokenRepository interface {
	FindByToken(ctx context.GormWithZap, token string) *FThirdUserTokenDO
	FindByBizAndCorpId(ctx context.GormWithZap, bizId, corpUid uint64) *FThirdUserTokenDO

	SaveUserLoginToken(ctx context.GormWithZap, data *FThirdUserTokenDO) error

	UpdateUserLoginToken(ctx context.GormWithZap, data *FThirdUserTokenDO) error
}

var ThirdUserToken thirdUserTokenRepository = new(thirdUserTokenRepositoryImpl)
